package com.sonic.lion.lib.enums;

import lombok.Getter;

/**
 * @author: code
 * @date: 2025/07/22
 * @Description: 交易类型
 * @version: 1.0.0
 */
@Getter
public enum TradeType {

    /**
     * 担保交易
     * 付款方先将钱付给系统担保账户，付款方确认完成服务后再将钱由系统担保账户转至收款方账户
     */
    SECURED_TRANSACTION(1, "Secured Transaction"),

    /**
     * 非担保交易
     * 直接将钱从付款方账户转至收款方账户
     */
    NON_SECURED_TRANSACTION(2, "Non Secured Transaction"),

    /**
     * 退款
     */
    REFUND(4, "Refund"),

    /**
     * 提现
     */
    WITHDRAW(5, "Withdraw"),

    /**
     * 充值
     */
    CHARGE(6, "Charge"),

    /**
     * 用户付款给系统
     */
    C2B(7, "C2B"),
    ;

    private final int value;

    private final String desc;

    TradeType(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }
}
